<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'css/table.css' %}" />
    <script src="{% static 'js/index.js' %}"></script>
    <title>Notes</title>
    <style>
        .mybutton {
            color: white;
            background-color: #a7cf8d;
            font-weight: 700;
            font-size: 75%;
            padding: 4px;
            border: 1px solid #6a994d;
            border-radius: 7px;
            transition-duration: 0.4s;
            cursor: pointer;
        }

        .mybutton:hover {
            background-color: #6a994d;
            }

            #notes {
  border-collapse: collapse;
  width: 100%;
  margin-top: 30px;
}
  
#notes td, #notes th {
  border: 1px solid #A7C893;
  padding: 10px;
}
  
  
#notes th {
  padding-top: 15px;
  padding-bottom: 15px;
  text-align: center;
  background-color: #BAD4AA;
  color: white;
}
  
#notes td{
  background-color: #EBF5DF;
}
    </style>
</head>
<body>
    <h1>Notes</h1>

        <table id="notes">
           <tr>
              <th>To</th>
              <th>From</th>
              <th>Title</th>
              <th>Message</th>
              <th>Actions</th>
           </tr>
           {% if notes %}
           {% for note in notes %}
           <tr>
              <td id="to">{{ note.to }}</td>
              <td id="From">{{ note.From }}</td>
              <td id="title">{{ note.title }}</td>
              <td id="message">{{ note.message }}</td>
              <td>
                  <button class="mybutton" id="view">View</button>
                  <button class="mybutton" id="edit">Edit</button>
                  <button class="mybutton" id="delete">Delete</button>
               </td>
            </tr>
            {% endfor %}
            {% endif %}
        </table>

</body>
</html>